Name:           L-function
Version:        1.23
Release:        4%{?dist}
Summary:        L-function calculator
Group:          Development/Libraries
License:        GPLv2+
URL:            http://pmmac03.math.uwaterloo.ca/~mrubinst/L_function_public/L.html
Source0:        http://pmmac03.math.uwaterloo.ca/%7Emrubinst/L_function_public/CODE/L-%{version}.tar.gz
Patch0:         L-fix-broken-include-of-libc++.diff

BuildRequires:  pari-devel


%description
A library and a command-line executable that do computations on a class
of special functions called L-functions. Among others, this class
includes the Riemann zeta function and the Ramanujan tau function.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n L-%{version}
%patch0 -p1
rm -f .*DS_Store
rm -f include/.*{DS_Store,.swp}
rm -f src/.*{DS_Store,.swp}
sed -i -e 's|^[^#]*LDFLAGS2.*LDFLAGS1.*$|LDFLAGS2 = $(LDFLAGS1)|' src/Makefile
sed -i -e 's/\r//' src/example_programs/example.cc


%build
cd src
make %{?_smp_mflags} EXTRA="%{optflags} -lpari" \
  PREPROCESSOR_DEFINE=-DINCLUDE_PARI \
  LOCATION_PARI_H=%{_includedir}/pari \
  LOCATION_PARI_LIBRARY=%{_libdir}
cd ..
rm -f src/example_programs/example


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
install -p -m 0755 src/lcalc $RPM_BUILD_ROOT%{_bindir}/
install -p -m 0644 src/libLfunction.a $RPM_BUILD_ROOT%{_libdir}/

mkdir -p $RPM_BUILD_ROOT%{_includedir}/Lfunction
for file in include/*.h; do
  install -p -m 0644 $file $RPM_BUILD_ROOT%{_includedir}/Lfunction/
done

rm %{buildroot}%{_libdir}/*.a

%files
%defattr(-,root,root,-)
%doc README COPYING
%{_bindir}/lcalc


%files devel
%defattr(-,root,root,-)
%doc src/example_programs
%{_includedir}/Lfunction


%changelog
* Sat Apr 21 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 1.23-4
- Fix build failure (since F-11!) 

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.23-3
- Rebuilt for c++ ABI breakage

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 27 2011 Conrad Meyer <konrad@tylerc.org> - 1.23-1
- Bump to latest upstream.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 17 2009 Conrad Meyer <konrad@tylerc.org> - 1.2-3
- Add missing BR on pari-devel.

* Sat Mar 14 2009 Conrad Meyer <konrad@tylerc.org> - 1.2-2
- Include headers in -devel subpackage.
- Include PARI support.

* Sat Nov 8 2008 Conrad Meyer <konrad@tylerc.org> - 1.2-1
- Initial package.
